Bug 137445 - CAN-2002-0875 filename disclosure in FAM
CAN-2002-0875 filename disclosure in FAM
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: fam (Show other bugs)
2.1
All Linux
medium Severity low
: ---
: ---
Assigned To: Daniel Veillard
impact=low,public=20020103
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-28 11:28 EDT by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-05 10:41:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-10-28 11:28:24 EDT
Vulnerability in FAM 2.6.8, 2.6.6, and other versions allows
unprivileged users to obtain the names of files whose access is
restricted to the root group.

The SGI bugzilla has a patch.

http://oss.sgi.com/bugzilla/show_bug.cgi?id=151
Comment 1 Daniel Veillard 2004-10-28 12:10:12 EDT
2 security advisory in 2 days :-( ... I hope the patch for 2.6.6 
and 2.6.8 will apply okay for 2.6.4 !
Are you sure RHEL3 is not vulnerable since it uses 2.6.8 ?

Daniel
Comment 2 Josh Bressers 2004-10-28 12:21:57 EDT
This issue is really old, so it's not really accurate to say 2
advisories in 2 days :)

I just checked the source in RHEL3, it's safe.  This only affects RHEL2.1.
Comment 4 Josh Bressers 2005-01-05 10:41:13 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-005.html

Note You need to log in before you can comment on or make changes to this bug.